weka.gui.beans

## Interface ConnectionNotificationConsumer

-     public interface ConnectionNotificationConsumer

  Interface for Beans that can receive (dis-)connection events generated when (dis-)connecting data processing nodes in the Weka KnowledgeFlow. This is useful, for example, for "intelligent" filters that are able to share configuration information with preceding nodes in the processing chain.
  Version:
    $Revision: 8034 $
  Author:
    Carsten Pohle (cp AT cpohle de)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been registered as a listener with a source with respect to the supplied event name.
    `void` | `disconnectionNotification(java.lang.String eventName, java.lang.Object source)` Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name This method should be implemented synchronized.

- - ### Method Detail

    - #### connectionNotification

          void connectionNotification(java.lang.String eventName,
                                      java.lang.Object source)

      Notify this object that it has been registered as a listener with a source with respect to the supplied event name. This method should be implemented synchronized.
      Parameters:
        `eventName` -
        `source` - the source with which this object has been registered as a listener

    - #### disconnectionNotification

          void disconnectionNotification(java.lang.String eventName,
                                         java.lang.Object source)

      Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name This method should be implemented synchronized.
      Parameters:
        `eventName` - the event
        `source` - the source with which this object has been registered as a listener